Subject: Re: [RFC PATCH 2/3] netdev: kernel-only IFF_HIDDEN netdevice

From: Stephen Hemminger <[email-masked]>
Date: Wed, 4 Apr 2018 10:44:00 -0700

On Wed, 4 Apr 2018 11:37:52 -0600
David Ahern <[email-masked]> wrote:

> Networking vendors have out of tree kernel modules. Those modules use a
> netdev (call it a master netdev, a control netdev, cpu port, whatever)
> to pull packets from the ASIC and deliver to virtual netdevices
> representing physical ports. The master netdev should not be mucked with
> by a user. It should be ignored by certain s/w with lldpd as just an
> *example*.

Sorry, the linux kernel maintainers have a clear well defined attitude
about out of tree kernel modules...